divert(-1)
# AnotherLevelUp/fvwm2rc.menus.preferences.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001 and Red Hat Software, Inc
divert

TraceForErrors(`Preferences menu...')

AddToMenu Background "Set Root Background" Title
+ "&Static (solid, mixture or image; and frame colour) MiniTitleIcon(rainbow)" FvwmScript ScreenSetup
changecom(%%%)
+ "&Moving (xlock running on root window) MiniTitleIcon(hextris)" PipeRead "ANOTHERLEVEL/bin/xlock MovingBackground \"BG_MOVING\" \"RH5\" NICELEVEL \"BG_COLOR\" \"FG_COLOR\" \"FORM_FONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\" \"FM_MODE\" \"BG_BITMAP\" \"USER_PREFS_DIR\""
changecom(#)
+ "&XSnow (with or without santa) MiniTitleIcon(xsnow)" FvwmScript XSnow
+ "X&Eyes (eyes that follow the mouse) MiniTitleIcon(eyes)" FvwmScript XEyes
+ "XE&arth (earth seen from space) MiniTitleIcon(clock)" FvwmScript XEarth

# ???? Audio is yet to be sorted out!
#AddToMenu AudioSettings "Audio Settings" Title
#+ "&On" Module FvwmAudio
#+ "O&ff" KillModule FvwmAudio
##+ "Event mapping" FvwmForm AudioEvents

AddToFunc FvwmTaskBar
+ "I"	KillModule FvwmTaskBar
+ "I"	Module FvwmTaskBar

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-4.jpeg)
')

readFile(`fvwm2rc.storedprefs')

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-5.jpeg)
')

AddNewMenuAndButtonBar(Preferences, "Toggle Button Panel MiniTitleIcon(modules)")

ifelse(WM_STYLE, `FVWM95', `
MenuAndButtonEntryLM(Stored &Preferences/Themes, turn, turn, Popup StoredPreferences)
')

ifelse(SCREEN_SIZE, `Huge', `
MenuAndButtonEntryLM(&Initial Windows,windows,windows,FvwmScript InitialWindowsSetUp)
', `
MenuAndButtonEntryLM(&Initial Netscape,nscape,,FvwmScript InitialWindowsSetUpSmall)
')

ifelse(WM_STYLE, `FVWM95', `
MenuAndButtonEntryLM(&Screen Background,colors,,Popup Background)
MenuAndButtonEntryLM(Window and Menu &Decorations,window,window,FvwmScript WindowDecorations)
MenuAndButtonEntryLM(Window &Buttons,xjewel,xjewel,FvwmScript WindowButtons)
MenuAndButtonEntryLM(&XTerm Preferences,term,term,FvwmScript Xresources_XTerm)
')

MenuAndButtonEntryLM(&Editor Choice,edit,edit,FvwmScript EditorChoice)

ifdef(`COMP_WHARF_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(&Wharf Settings,wharf,,COMP_WHARF_CONFIG_MENU_ENTRY)')

ifdef(`COMP_PAGER_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(Pa&ger Settings,pager,,COMP_PAGER_CONFIG_MENU_ENTRY)')

ifdef(`COMP_XBIFF_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(X&biff Choice,xbiff,,COMP_XBIFF_CONFIG_MENU_ENTRY)')

ifdef(`COMP_XCLOCK_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(X &Clock Choice,clock,,COMP_XCLOCK_CONFIG_MENU_ENTRY)')

ifdef(`COMP_ROOTCURSOR_COMBINED_MENU_ENTRY',
`MenuAndButtonEntryLM(&Root Cursor,cross,,COMP_ROOTCURSOR_COMBINED_MENU_ENTRY)')

ifdef(`COMP_MOUSESPEED_COMBINED_MENU_ENTRY',
`MenuAndButtonEntryLM(&Mouse Settings,mouse,,COMP_MOUSESPEED_COMBINED_MENU_ENTRY)')

# ??? Audio yet to be done
# MenuAndButtonEntryLM(A&udio,audiovol,Multimedia3,Popup AudioSettings)

ifdef(`COMP_WINDOWFOCUS_COMBINED_MENU_ENTRY',
`MenuAndButtonEntryLM(Window Keyboard &Focus,eye,,COMP_WINDOWFOCUS_COMBINED_MENU_ENTRY)')

ifdef(`COMP_AUTORAISE_COMBINED_MENU_ENTRY',
`MenuAndButtonEntryLM(&Auto Raise,raise,hand_up_3d,COMP_AUTORAISE_COMBINED_MENU_ENTRY)')

ifdef(`COMP_PAGESCROLL_COMBINED_MENU_ENTRY',
`MenuAndButtonEntryLM(Page Scro&lling Behaviour,scroll-arrows,,COMP_PAGESCROLL_COMBINED_MENU_ENTRY)')
